# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "kinput"
version = "0.3.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Low-level Rust library for input injection and global key capture on Linux"
readme = "README.md"
keywords = [
    "lib",
    "utils",
    "input",
    "keyboard",
    "mouse",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/alan-venv/kinput"

[lib]
name = "kinput"
path = "src/lib.rs"

[dependencies.libc]
version = "0.2.180"

[dependencies.nix]
version = "0.30.1"
features = [
    "ioctl",
    "poll",
    "signal",
]
